<%@ Control Language="C#" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
<%@ Register TagPrefix="Blog" Namespace="CommunityServer.Blogs.Controls" Assembly="CommunityServer.Blogs" %>
<script runat="server">
protected void entryItems_MyItemDataBound( object sender, RepeaterItemEventArgs e )
{
	CommunityServer.Blogs.Components.WeblogPost entry = e.Item.DataItem as CommunityServer.Blogs.Components.WeblogPost;
	if ( entry != null )
	{
		Label entryDay = e.Item.FindControl( "entryDay" ) as Label;
		if ( entryDay != null )
			entryDay.Text = entry.UserTime.Day.ToString();
		Label entryMonth = e.Item.FindControl( "entryMonth" ) as Label;
		if ( entryMonth != null )
			entryMonth.Text = entry.UserTime.ToString( "MM" );
		Label entryYear = e.Item.FindControl( "entryYear" ) as Label;
		if ( entryYear != null )
			entryYear.Text = entry.UserTime.Year.ToString();
		entryYear.Text = entry.UserTime.Year.ToString();
	}
}
</script>
<Blog:InlineTagEditor runat="server" id="InlineTagEditor" LinkCssClass="TextButton" CssClass="InlineTagEditor" />
<asp:Repeater id="EntryItems" Runat="server" OnItemDataBound="entryItems_MyItemDataBound">
	<ItemTemplate>
		<div class="post">
			<div class="post-container">
				<div class="post-content">
					<h2 class="post-title"><asp:HyperLink id="PostTitle" runat="server" /></h2>
					<div class="post-entry">
						<asp:Literal id="Body" runat="server" />
						<asp:HyperLink id="ReadMoreLink" Runat="server" />
					</div>
					<Blog:DownloadAttachmentLink runat="Server" id="Attachment" />
					<div class="post-categories">
						<CS:InlineTagEditorPanel runat="server" id="InlineTagEditorPanel" InlineEditorID="InlineTagEditor" />
					</div>
				</div>
			</div>
			<div class="post-header">
				<h3 class="post-date">
					<asp:Label ID="entryYear" runat="server" />
					<asp:Label ID="entryMonth" runat="server" />
					<asp:Label ID="entryDay" runat="server" />
				</h3>
				<p class="post-author"><asp:HyperLink id="AuthorLink" Runat="server" /></p>
				<p class="post-comments"><asp:HyperLink id="CommentsLink" Runat="server" /></p>
				<p class="post-edit"><asp:HyperLink id="EditLink" Visible = "False" Runat="server" /></p>
				<Blog:BlogRatePost id="Ratings" runat="Server" CssClass="CommonRateControl" ReadOnlyCssClass="CommonRateControlReadOnly" ActiveCssClass="CommonRateControlActive" ImagesBaseUrl="~/Themes/default/images/common/" />
			</div>
		</div>
	</ItemTemplate>
</asp:Repeater>
<CS:SinglePager id="pager" runat="Server" />